Subject: Re: [Fwd: cygwin-src-20000125: patch to not convert cmdline to OEM]
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 11 Mar 2000 21:25:14 -0500

On Sat, Mar 11, 2000 at 09:35:27PM +0100, Reinhard Nissl wrote:
>Hi,
>
>although I should have been subscribed to the cygwin-developers mailing list
>since 03.02.2000, I havn't received any mails so far.

You obviously have problems with your mail software.

I saw your patch and replied to it on 14-February-2000.
I sent mail to both the cygwin-developers mailing list and to you
directly.

I have no idea if you'll see this reply, but, if you do, try searching
the archives for my original reply.

cgf

>That's why I forward my patch to you. It was orignally sent to the
>cygwin-developers mailing list.
>
>May you forward it to an appropriate person please.
>
>Thanks.
>
>Bye.
>--
>Dipl.-Inform. (FH) Reinhard Nissl
>mailto:[email-masked]
>From: Reinhard Nissl <[email-masked]>
>To: [email-masked]
>Subject: cygwin-src-20000125: patch to not convert cmdline to OEM
>Date: Mon, 31 Jan 2000 00:26:25 +0100
>
>Hi,
>
>the attached patch makes cygwin1.dll only convert the cmdline to OEM when the
>environment variable CYGWIN_CMD_LINE_MODE is not set to ANSI. If the variable
>doesn't exist or is set to anything else then ANSI, the library behaves as it
>did before applying the patch.
>
>In the case ANSI is set, any conversions from char to OEM or reverse are
>skipped or replaced by a neutral function. A call to SetFileApisToANSI() is
>done to handle the ANSI filenames correctly.
>
>I developed this patch while porting sms_client to the CYGWIN environment to
>be able to send SMS messages that contain "Umlauts", as the programme expects
>them to be coded according to the ANSI code page. 
>
>Bye.
>--
>Dipl.-Inform. (FH) Reinhard Nissl
>mailto:[email-masked]

>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]

-- 
[email-masked]                        Cygnus Solutions, a Red Hat company
http://sourcware.cygnus.com/          http://www.redhat.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]